org.codehaus.plexus.lifecycle

## Class AbstractLifecycleHandler

- java.lang.Object
- - org.codehaus.plexus.lifecycle.AbstractLifecycleHandler

All Implemented Interfaces:
  LifecycleHandler

Direct Known Subclasses:
  BasicLifecycleHandler, PassiveLifecycleHandler, PlexusLifecycleHandler

    public abstract class AbstractLifecycleHandler
    extends Object
    implements LifecycleHandler

### Constructor Summary

Constructors
Constructor and Description
`AbstractLifecycleHandler()`

### Method Summary

Methods
`void` `end(Object component, ComponentManager manager)` End a component's lifecycle.
`List` `getBeginSegment()`
`List` `getEndSegment()`
`String` `getId()`
`String` `getName()`
`List` `getResumeSegment()`
`List` `getSuspendSegment()`
`void` `resume(Object component, ComponentManager manager)`
`void` `start(Object component, ComponentManager manager)` Start a component's lifecycle.
`void` `suspend(Object component, ComponentManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.lifecycle.LifecycleHandler

`initialize`

### Constructor Detail

#### AbstractLifecycleHandler

    public AbstractLifecycleHandler()

### Method Detail

#### getId

    public String getId()

Specified by:
  `getId` in interface `LifecycleHandler`

#### getName

    public String getName()

#### getBeginSegment

    public List getBeginSegment()

#### getSuspendSegment

    public List getSuspendSegment()

#### getResumeSegment

    public List getResumeSegment()

#### getEndSegment

    public List getEndSegment()

#### start

    public void start(Object component,
             ComponentManager manager)
               throws PhaseExecutionException

Start a component's lifecycle.

Specified by:
  `start` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`

#### suspend

    public void suspend(Object component,
               ComponentManager manager)
                 throws PhaseExecutionException

Specified by:
  `suspend` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`

#### resume

    public void resume(Object component,
              ComponentManager manager)
                throws PhaseExecutionException

Specified by:
  `resume` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`

#### end

    public void end(Object component,
           ComponentManager manager)
             throws PhaseExecutionException

End a component's lifecycle.

Specified by:
  `end` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`